- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData, size_t theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData, size_t theElemCount=4)
## Public Attributes
AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
union {
size_t data
Real fData
}; |
| Additional information to go with the parameter.

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 655 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 672 of file OgreGpuProgram.h.

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 676 of file OgreGpuProgram.h.

## Member Data Documentation

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

The type of parameter.

Definition at line 659 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

The target (physical) constant index.

Definition at line 661 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Definition at line 665 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

Definition at line 668 of file OgreGpuProgram.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

Definition at line 669 of file OgreGpuProgram.h.

union { ... }

Additional information to go with the parameter.

The documentation for this class was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:50 2008